package test.org.seasar.extension.dataset.impl;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author higa
 *
 */
public class ImplAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(suite());
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.extension.dataset.impl");
		//$JUnit-BEGIN$
		suite.addTest(new TestSuite(DataRowImplTest.class));
		suite.addTest(new TestSuite(DataRowReloadResultSetHandlerTest.class));
		suite.addTest(new TestSuite(DataSetImplTest.class));
		suite.addTest(new TestSuite(DataTableImplTest.class));
		suite.addTest(new TestSuite(DataTableResultSetHandlerTest.class));
		suite.addTest(new TestSuite(SqlDeleteTableWriterTest.class));
		suite.addTest(new TestSuite(SqlReloadReaderTest.class));
		suite.addTest(new TestSuite(SqlReloadTableReaderTest.class));
		suite.addTest(new TestSuite(SqlTableReaderTest.class));
		suite.addTest(new TestSuite(SqlTableWriterTest.class));
		suite.addTest(new TestSuite(XlsReaderTest.class));
		suite.addTest(new TestSuite(XlsWriterTest.class));
		//$JUnit-END$
		return suite;
	}
}
